package com.akamai.hdcore.samples.hdn1
{
	import com.akamai.hd.HDNetStream;
	import com.akamai.hdcore.samples.utility.HDN1MediaPlayerViewPresenter;
	import com.akamai.hdcore.samples.utility.MediaPlayerView;
	
	import flash.net.NetConnection;
	import com.akamai.hd.HDEvent;
	import org.openvideoplayer.components.ui.shared.event.ControlEvent;
	
	
	/**
	 * This is a basic presenter class that allows you to override and enhance functionality
	 * within the HDN1MediaPlayerViewPresenter.as class located in the HDCoreSamplesUtility 
	 * project. 
	 * 
	 */
	public class BasicLivePresenter extends HDN1MediaPlayerViewPresenter 
	{
		public function BasicLivePresenter(view:MediaPlayerView, netStream:HDNetStream, netConnection:NetConnection)
		{
			super(view, netStream, netConnection, true/*set to false to hide the buffer metrics*/);
			netStream.loop = false;
		}
		
		override protected function addControlBarListeners():void
		{
			super.addControlBarListeners();
			controlBar.addEventListener(ControlEvent.GO_LIVE, onGoLiveClick);
			// disables the live button on the controller before playback is started.
			goLiveButton.enabled = false; 
		}
		
		override protected function onProgress(event:HDEvent):void
		{
			super.onProgress(event);
			
			if (!isSeeking)
			{
				checkGoLiveButtonState();
			}
		}
		
		private function onGoLiveClick(event:ControlEvent):void
		{
			netStream.seek(-1);
		}
		
		private function checkGoLiveButtonState():void
		{
			goLiveButton.enabled = (HDNetStream(netStream).duration - netStream.time > 15);
		}
	}
}
