package com.akamai.hdcore.samples.utility
{
	public class ControlBarFactoryParamsVO
	{
		/**
		 * Value of the width of the entire control bar. If you set this value 
		 * before or after the control bar has been constructed it will automatically update 
		 * all elements of the control bar.
		 * 
		 * Default 640
		 * 
		 * @param value
		 * @return
		 */
		public var width:Number = 640;
		
		/**
		 * Value of the height of the entire control bar. If you set this value before or 
		 * after the control bar has been constructed it will automatically update all 
		 * elements of the control bar. This property will not affect the height of each 
		 * individual control within the control bar.
		 * 
		 * Default 30
		 * 
		 * @param value
		 * @return
		 */
		public var height:Number = 30 
		
		/**
		 * Value of the color of the highlight that covers 50% height of both the 
		 * control bar's main background shape and all the controls main backgrounds.
		 * 
		 * Default 0xFFFFFF
		 *
		 * @param value
		 * @return
		 */
		public var controlUpperHighlightColor:uint = 0xFFFFFF; 
		
		/**
		 * Value of the alpha of the highlight that covers 50% height of both the 
		 * control bar's main background shape and all the controls main backgrounds.
		 * 
		 * Default 0.1
		 * 
		 * @param value
		 * @return
		 */
		public var controlUpperHighlightAlpha:Number = 0.1; 
		
		/**
		 * Value of the background color for both the control bar's main background as well
		 * as each controls background that is added to the control bar.
		 * 
		 * Default 0x000000
		 *
		 * @param value
		 * @return
		 */
		public var controlBarBackgroundColor:Number = 0x000000; 
		
		/**
		 * Value of the main background alpha of the control bar. Change this 
		 * property if the you want to alter the main backgrounds's alpha transparency
		 * This property will not effect the entire alpha of the component.
		 * 
		 * Default 1
		 *
		 * @param value
		 * @return
		 */
		public var controlBarBackgroundAlpha:Number = 1; 
		
		/**
		 * Value of the scrub bar's progress bar color. The progress bar is different from 
		 * the download progress bar in that it shows the current progress of what ever the 
		 * control bar is controlling.
		 * 
		 * Default 0x000000
		 *
		 * @param value
		 * @return
		 */
		public var progressBarColor:uint = 0x000000; 
		
		/**
		 * Value of the scrub bar's download progress bar color. The download progress bar 
		 * is used to indicate the current download progress for an item that the control bar is 
		 * controlling.  An example of this would be on a progressive download video file it 
		 * would show the BytesLoaded vs the BytesTotal of the FLV.
		 * 
		 * Default 0x666666
		 *
		 * @param value
		 * @return
		 */
		public var downloadProgressBarColor:uint = 0x666666; 
		
		/**
		 * Value of the color of the scrub bar's background.
		 * 
		 * Default 0xFFFFFF
		 *
		 * @param value
		 * @return
		 */
		public var sliderTrackBackgroundColor:uint = 0xFFFFFF; 
		
		/**
		 * Value of the stroke color of the control bar and all the controls.
		 * 
		 * Default 0xFFFFFF
		 *
		 * @param value
		 * @return
		 */
		public var strokeColor:uint = 0xFFFFFF; 
		
		/**
		 * Value of the stroke alpha of the control bar and all the controls.
		 * 
		 * Default 0.5
		 *
		 * @param value
		 * @return
		 */
		public var strokeAlpha:Number = 0.5; 
		
		/**
		 * Value of the icon color that all the controls use.
		 * 
		 * Default 0xFFFFFF
		 *
		 * @param value
		 * @return
		 */
		public var iconColor:uint = 0xFFFFFF
		
		/**
		 * Value of the icon alpha that all the controls use.
		 * 
		 * Default 1
		 *
		 * @param value
		 * @return
		 */
		public var iconAlpha:Number = 1;
	}
}
